[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TStringHash.Modify

Try to modify an existing value

## Declaration

Source position: inifiles.pp line 71

`public function TStringHash.Modify(`
`const Key: string;`
`Value: Integer`
`):Boolean;`

## Arguments

`Key` |  | Key to replace
`Value` |  | New value for key

## Function result

True if the operation was successful

## Description

Modify will replace the value of Key with Value. Key must exist. It returns True if the operation was successful. If the value didn't exist, False is returned.

## See also

TStringHash.Add |  | Add a new value to the hash
TStringHash.Clear |  | Remove all values
TStringHash.Remove |  | Remove a key from the hash
TStringHash.ValueOf |  | Retrieve value of Key